Subject: PMP> Re: IPP> MIME-types and alignment

From: Harry Lewis <[email-masked]>
Date: Tue, 19 Aug 1997 19:40:10 -0400

Someone wrote:

> Earlier i tried to get TIFF-F  (for fax) included in the printer
> mib but did not get much support.
>
> /al

I don't recall the TIFF-F request, but, if someone has a PDL to
register as a type-2 enum with the Printer MIB, it should require
very little effort and should not meet with a great deal of
resistance.

For example,the following requests from Jeff Rackowitz were readily
accepted:

langIntermecIPL(56), -- Intermec Printer Language for label printers.
-- Technical Manual: "IPL Programmers Reference
-- Manual",
-- Intermec Corporation
langUBIFingerprint(57), -- An intelligent basic-like programming
-- language for label printers.
-- Reference Manual: "UBI Fingerprint
-- 7.1", No. 1-960434-00
-- United Barcode Industries
langUBIDirectProtocol(58), -- An intelligent control language for
-- label printers.
-- Programmers guide: " UBI Direct
-- Protocol", No. 1-960419-00
-- United Barcode Industries

The Printer MIB type-2 enum process is meant to assure adequate information
during registration and to possibly filter redundancy... not to reject
legitimate requests.

I searched the PMP archives and could not find a reference to your request
for TIFF-F. Perhaps you should re-submit it, using the sample, above, as
a template.

Harry Lewis

---

From: JK Martin <[email-masked]>
Date: Wed, 20 Aug 1997 13:38:41 -0400 (EDT)

Larry,

> > Printer discovery may be coupled with programmatic use of the
> > Interpreter table to facilitate selection of the correct driver
> in a printing system.
> 
> I understand clearly how it could be used, what I'm asking is whether
> it *is* used. Isn't it a misuse of SNMP to use it for discovery. Are
> there systems that actually use the Printer MIB, rather than some kind
> of directory service, for device discovery?

I think you may have misunderstood what Harry meant by "Printer discovery".

In this context, "discovery" implies finding out what the specifically
targeted device is capable of supporting, rather than which devices are
available on the network, etc.

	...jay

---

From: [email-masked] (Bill Wagner)
Date: Wed, 20 Aug 1997 14:21:35 -0400

Without getting in to the question of whether it is a misuse of SNMP 
     or not, yes, there definitely are products that do printer discovery 
     using the response to SNMP (over IP and/or IPX) MIB queries. 
     
     Directory systems, at this point, are inconsistent, often not present, 
     and sometimes not under the control of those concerned with getting 
     printers up and running. Printer companies attempt to address the 
     needs and desires of their customers, perhaps at the expense of 
     architectural purity or even good engineering practice. That is how 
     they stay in business (those that do). 
     
     Bill Wagner, Osicom/DPI

______________________________ Reply Separator _________________________________
Subject: Re: PMP> Re: IPP> MIME-types and alignment
Author:  JK Martin <[email-masked]> at Internet
Date:    8/20/97 1:38 PM

Larry,

     
     
        ...jay